# vim: set ft=spec: -*- rpm-spec -*-
# $Id: quakeworld,v 1.1 2003/12/21 15:30:43 raorn Exp $

%define cvsdate 20030920
%define name quakeworld
%define version 2.40
%define release alt3

Name: %name
Version: %version
Release: %release

Summary: QuakeWorld server gamecode
License: GPL
Group: Games/Arcade
URL: http://quakeforge.net/
BuildArch: noarch

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name.tar.bz2
%endif

PreReq: quakeforge

# Automatically added by buildreq on Sun Oct 20 2002 and filtered by raorn
BuildPreReq: qfcc >= 0.5.4-alt6

%description
QuakeWorld server gamecode

%prep
%setup -n %name

%build
%make_build
%__gzip qwprogs.dat
%__gzip qwprogs.sym

%install
%__mkdir -p %buildroot%_gamesdatadir/quakeforge/qw
%__install -m644 qwprogs.dat.gz %buildroot%_gamesdatadir/quakeforge/qw/qwprogs.dat.gz
%__install -m644 qwprogs.sym.gz %buildroot%_gamesdatadir/quakeforge/qw/qwprogs.sym.gz

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%dir %_gamesdatadir/quakeforge/qw
%_gamesdatadir/quakeforge/qw/*

%changelog
* Sun Dec 21 2003 Sir Raorn <raorn@altlinux.ru> 2.40-alt3
- CVS snapshot 20030920

* Sun Oct 20 2002 Sir Raorn <raorn@altlinux.ru> 2.40-alt2
- CVS snapshot 20021018

* Tue May 07 2002 Sir Raorn <raorn@altlinux.ru> 2.40-alt1
- Switched to quakeforge's cvs code due to license problems

* Sun Feb 24 2002 Sir Raorn <raorn@altlinux.ru> 2.30-alt1
- Build For Sisyphus


